| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetRemoteCpuGroupListRequest Struct Reference
Call Pickup Group

Get Remote Call Pickup Group List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
unsp__BGName | BGName
| Business Group Name. More...
xsd__int | CpuGroupId
| Call Pickup Group ID. More...
xsd__int * | RemoteCpuGroupNumber
| The Remote Call Pickup Group Number filter on. More...
xsd__string | RemoteCpuGroupAccessCode
| The Remote Call Pickup Group Access Code to filter on. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__RCPGSortType * | SortType
| Remote Call Pickup Group Sort Type. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting structure. More...

## Detailed Description

Get Remote Call Pickup Group List request.

Used by unsp__GetRemoteCpuGroupList()

## Member Data Documentation

## ◆ BGName

unsp__BGName unsp__GetRemoteCpuGroupListRequest::BGName

Business Group Name.

required: true

See also
  unsp__BGName

## ◆ CpuGroupId

xsd__int unsp__GetRemoteCpuGroupListRequest::CpuGroupId

Call Pickup Group ID.

required: true
default value[range]: NA [1..10000]

## ◆ OperatorId

xsd__string unsp__GetRemoteCpuGroupListRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__GetRemoteCpuGroupListRequest::Paging

Standard paging structure.

required: false

## ◆ RemoteCpuGroupAccessCode

xsd__string unsp__GetRemoteCpuGroupListRequest::RemoteCpuGroupAccessCode

The Remote Call Pickup Group Access Code to filter on.

required: false
default value[range]: NA [1..15]

## ◆ RemoteCpuGroupNumber

xsd__int* unsp__GetRemoteCpuGroupListRequest::RemoteCpuGroupNumber

The Remote Call Pickup Group Number filter on.

required: false
default value[range]: NA [1..10000]

## ◆ SortOrder

enum unsp__SortOrder* unsp__GetRemoteCpuGroupListRequest::SortOrder

Standard sorting structure.

required: false

## ◆ SortType

enum unsp__RCPGSortType* unsp__GetRemoteCpuGroupListRequest::SortType

Remote Call Pickup Group Sort Type.

required: false
default value[range]: SortByGroupNumber

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h